﻿<%@ Page Language="C#" %>

<%@ Register Namespace="CuteWebUI" Assembly="CuteWebUI.AjaxUploader" TagPrefix="CuteWebUI" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Database example</title>
    <script runat="server">
protected void UploadAttachments1_FileUploaded(object sender, UploaderEventArgs args)
{
    //set connection string
    string connectionString = System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];
    // Read the file and convert it to Byte Array
    byte[] data = new byte[args.FileSize];
    //get file extension
    string extensioin = args.FileName.Substring(args.FileName.LastIndexOf(".") + 1);
    string fileType = null;
    //set the file type based on File Extension
    switch (extensioin)
    {
        case "doc":
            fileType = "application/vnd.ms-word";
            break;
        case "docx":
            fileType = "application/vnd.ms-word";
            break;
        case "xls":
            fileType = "application/vnd.ms-excel";
            break;
        case "xlsx":
            fileType = "application/vnd.ms-excel";
            break;
        case "jpg":
            fileType = "image/jpg";
            break;
        case "png":
            fileType = "image/png";
            break;
        case "gif":
            fileType = "image/gif";
            break;
        case "pdf":
            fileType = "application/pdf";
            break;
    }

    using (Stream stream = args.OpenStream())
    {
        //read the file as stream
        stream.Read(data, 0, data.Length);
        SqlConnection con = new SqlConnection(connectionString);
        SqlCommand com = new SqlCommand();
        com.Connection = con;
        //set parameters
        SqlParameter p1 = new SqlParameter("@Name", SqlDbType.VarChar);
        SqlParameter p2 = new SqlParameter("@FileType", SqlDbType.VarChar);
        SqlParameter p3 = new SqlParameter("@Data", SqlDbType.VarBinary);
        p1.Value = args.FileName;
        p2.Value = fileType;
        p3.Value = data;
        com.Parameters.Add(p1);
        com.Parameters.Add(p2);
        com.Parameters.Add(p3);
        com.CommandText = "Insert into Files (Name,FileType,Data) VALUES (@Name,@FileType,@Data)";
        con.Open();
        //insert the file into database
        com.ExecuteNonQuery();
        con.Close();
    }
}
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <CuteWebUI:UploadAttachments ID="UploadAttachments1" runat="server" OnFileUploaded="UploadAttachments1_FileUploaded">
        </CuteWebUI:UploadAttachments>
    </form>
</body>
</html>
